#!/bin/bash
export PROFILE=default
export THEME='Stardust-blue'

rm /usr/share/fonts/default/TTF/fonts.dir
rm /usr/share/fonts/default/TTF/fonts.scale
mkfontscale /usr/share/fonts/default/TTF
mkfontdir /usr/share/fonts/default/TTF

#for xonclock
if [ -f /usr/lib64/libpng12.so.0 ]; then
	rm -f /usr/local/pwidgets/install/.dependencies/libpng12.so.0.22.0
	rm -f /usr/local/pwidgets/install/.dependencies/libpng12.so.0
else
	mv -f /usr/local/pwidgets/install/.dependencies/libpng12.so.0.22.0 /usr/lib64/libpng12.so.0.22.0
	mv -f /usr/local/pwidgets/install/.dependencies/libpng12.so.0 /usr/lib64/libpng12.so.0
fi
if [ -f /usr/lib64/libjpeg.so.8 ]; then
	rm -f /usr/local/pwidgets/install/.dependencies/libjpeg.so.8.0.1
	rm -f /usr/local/pwidgets/install/.dependencies/libjpeg.so.8
else
	mv -f /usr/local/pwidgets/install/.dependencies/libjpeg.so.8.0.1 /usr/lib64/libjpeg.so.8.0.1
	mv -f /usr/local/pwidgets/install/.dependencies/libjpeg.so.8 /usr/lib64/libjpeg.so.8
fi
#---

mkdir -p $HOME/.pwidgets/tmp
mkdir -p $HOME/.pwidgets/widgets
mkdir -p $HOME/.pwidgets/profiles
mkdir -p $HOME/.pwidgets/misc
mkdir -p $HOME/Startup
cp -r /usr/local/pwidgets/install/.pwidgets/* $HOME/.pwidgets/
cp -r /usr/local/pwidgets/install/Startup/0_show_widgets $HOME/Startup
cp -r /usr/local/pwidgets/install/.xonclockrc $HOME

cp -f $HOME/.pwidgets/profiles/$PROFILE/pwidgetsrc $HOME/.pwidgets/pwidgetsrc
cp -f $HOME/.pwidgets/profiles/$PROFILE/pwidgets_list $HOME/.pwidgets/tmp/pwidgets_list
echo "$PROFILE" > $HOME/.pwidgets/tmp/PROFILE
/usr/local/pwidgets/func -apply
. /usr/local/pwidgets/func -set_theme

fixwidgets
